import request from '@/config/axios'

export interface OnDutyInfoVO {

}

export interface OnDutyInfoPageReqVO extends PageParam {

}

// 查询OnDutyInfo列表
export const getOnDutyInfoPage = (params: OnDutyInfoPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/work/onDutyInfo/page', params })
}

// 查询OnDutyInfo列表
export const getPointList = (params: OnDutyInfoPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/work/onDutyInfo/list', params })
}

// 查询OnDutyInfo详情
export const getOnDutyInfo = (id: number) => {
  return request.get({ url: `/xmcpms/prod/work/onDutyInfo/info/${id}`})
}

// 新增OnDutyInfo
export const createOnDutyInfo = (data: OnDutyInfoVO) => {
  return request.post({ url: '/xmcpms/prod/work/onDutyInfo/create', data })
}

// 修改OnDutyInfo
export const updateOnDutyInfo = (data: OnDutyInfoVO) => {
  return request.put({ url: '/xmcpms/prod/work/onDutyInfo/update', data })
}

// 删除OnDutyInfo
export const deleteOnDutyInfo = (id: number) => {
  return request.delete({ url: '/xmcpms/prod/work/onDutyInfo/delete?id=' + id })
}

//导出OnDutyInfoList
export const exportOnDutyInfo = (params) => {
  return request.download({ url: '/xmcpms/prod/work/onDutyInfo/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/prod/work/onDutyInfo/get-import-template' })
}
